View Issue Details

IDProjectCategoryView StatusLast Update
0002891SUMoBugpublic2015-09-24 14:34
ReporterbyteheadAssigned ToKyle_Katarn 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
PlatformIntel x64OSWindows 7OS VersionUltimate x64 SP1
Product Version3.13.10 
Target VersionFixed in Version3.14 
Summary0002891: FP for Opera/Chromium (PPAPI) recognized as FP for Firefox (NPAPI)
DescriptionLatest _standalone_ Adobe Flash Player for Opera/Chromium (PPAPI) is erroneously being recognized as Adobe Flash Player for Firefox (NPAPI): flash files lookup templates should be updated to accommodate the changes.
Steps To Reproducescreenshot attached
Additional Informationhttp://blogs.adobe.com/flashplayer/2014/12/flash-runtime-16-update-new-ppapi-installers-and-air-news.html
TagsNo tags attached.

Relationships

related to 0002651 resolvedKyle_Katarn Incorrect naming for FlashPlayers 

Activities

bytehead

2015-06-12 18:13

reporter  

bytehead

2015-06-12 18:23

reporter   ~0001890

FP for Opera/Chromium gets installed manually via Adobe website (https://get.adobe.com/flashplayer/otherversions/).

This bug relates only to Chromium-based browsers. Original Google Chrome uses it's own integrated PPAPI flash player module, which is not recognized by SUMo at all.

bytehead

2015-06-13 16:02

reporter   ~0001891

Files in %SystemRoot%\System32\Macromed\Flash\:

[ActiveX plugin]
activex.vch
Flash32_18_0_0_160.ocx
FlashUtil32_18_0_0_160_ActiveX.dll
FlashUtil32_18_0_0_160_ActiveX.exe

[NPAPI plugin]
flashplayer.xpt
FlashPlayerPlugin_18_0_0_160.exe
FlashUtil32_18_0_0_160_Plugin.exe
NPSWF32_18_0_0_160.dll
plugin.vch

[PPAPI plugin]
FlashUtil32_17_0_0_188_pepper.exe
pepflashplayer32_17_0_0_188.dll
pepper.vch

[Auxiliary files]
FlashPlayerUpdateService.exe
FlashInstall.log
manifest.json
mms.cfg

+ Flash related files in %SystemRoot%\system32\:

FlashPlayerCPLApp.cpl
FlashPlayerApp.exe

Issue History

Date Modified Username Field Change
2015-06-12 18:13 bytehead New Issue
2015-06-12 18:13 bytehead File Added: PepFlashPlayer_misdetection.png
2015-06-12 18:23 bytehead Note Added: 0001890
2015-06-13 16:02 bytehead Note Added: 0001891
2015-06-15 18:57 Kyle_Katarn Relationship added related to 0002651
2015-06-15 18:57 Kyle_Katarn Assigned To => Kyle_Katarn
2015-06-15 18:57 Kyle_Katarn Status new => confirmed
2015-06-15 21:09 Kyle_Katarn Status confirmed => resolved
2015-06-15 21:09 Kyle_Katarn Fixed in Version => 3.14
2015-06-15 21:09 Kyle_Katarn Resolution open => fixed